std::multiplies< _Tp > Struct Template Reference
Utilities » Function Objects » Arithmetic Function Object Classes

`#include <stl_function.h>`

Inheritance diagram for std::multiplies< _Tp >:
[legend]

## Public Types

typedef _Tp | first_argument_type
typedef _Tp | result_type
typedef _Tp | second_argument_type

## Public Member Functions

constexpr _Tp | operator() (const _Tp &__x, const _Tp &__y) const

## Detailed Description

template<typename _Tp>
struct std::multiplies< _Tp >

One of the math functors.

Definition at line 205 of file stl_function.h.

## Member Typedef Documentation

## first_argument_type

typedef _Tp std::binary_function< _Tp , _Tp , _Tp >::first_argument_type

inherited

`first_argument_type` is the type of the first argument

Definition at line 134 of file stl_function.h.

## result_type

typedef _Tp std::binary_function< _Tp , _Tp , _Tp >::result_type

inherited

`result_type` is the return type

Definition at line 140 of file stl_function.h.

## second_argument_type

typedef _Tp std::binary_function< _Tp , _Tp , _Tp >::second_argument_type

inherited

`second_argument_type` is the type of the second argument

Definition at line 137 of file stl_function.h.

## Member Function Documentation

## operator()()

template<typename _Tp >

constexpr _Tp std::multiplies< _Tp >::operator() | ( | const _Tp & | __x,
|  | const _Tp & | __y
| ) |  | const

inline constexpr

Definition at line 209 of file stl_function.h.

The documentation for this struct was generated from the following file:

- stl_function.h